<?php
	// strongly required
	require_once('getcontent.php');
	$GLOBALS["DynPG"]->SetParam_PathToRoot('./');
	$GLOBALS["DynPG"]->SetParam_UseCategory(NULL);
    if(isset($_GET['lang']) && !empty($_GET['lang']) && is_file(dirname( __FILE__ ) . '/localised/'.strtolower($_GET['lang']).'.lang.php')){
        $GLOBALS["DynPG"]->setupLanguage($_GET['lang']);
        foreach($GLOBALS["DynPG"]->_PlugIn as $pluginname => $plugindata){
        	if(is_file(dirname( __FILE__ ) . '/plugins/'.$plugindata['realname'].'/languages/'.strtolower($_GET['lang']).'.lang.php')){
                $GLOBALS["DynPG"]->SetParam_PlugIn_Language($pluginname, $_GET['lang']);
        	}
        }
    }

    // force article view
    $GLOBALS["DynPG"]->PageSelector = "ARTICLES_EX";
    $GLOBALS["DynPG"]->IdxSelector = addslashes($_GET['aid']);
?>
<!DOCTYPE html>

<html>
	<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<meta name="description" content="Print">
		<meta name="author" content="DynPG Freeware">
		<meta name="keywords" content="Print">

    	<title>
        	<?php
              @$GLOBALS["DynPG"]->setupTemplate('title');
              $GLOBALS["DynPG"]->SetParam_A_Anytime(true);
              $GLOBALS["DynPG"]->SetParam_A_Article( addslashes($_GET['aid']) );
              $GLOBALS["DynPG"]->SetParam_A_fullLoadText(FALSE);
              $GLOBALS["DynPG"]->Write_Article();
              $GLOBALS["DynPG"]->SetParam_A_fullLoadText(TRUE);
              @$GLOBALS["DynPG"]->setupTemplate('default');
            ?>
    	</title>

		<?php $GLOBALS["DynPG"]->Write_CSS_JS_Header(); ?>

		<script type="text/javascript">
		<!--
			// window.print();
		//-->
		</script>
    </head>

    <body>

	<?php
		@$GLOBALS["DynPG"]->setupTemplate('print');
		$GLOBALS["DynPG"]->SetParam_A_Anytime(true);
		$GLOBALS["DynPG"]->SetParam_A_ArticleHeader((!empty($_GET['showheader']) && $_GET['showheader'] == 'Y'));
		$GLOBALS["DynPG"]->SetParam_A_Article( addslashes($_GET['aid']) );
		$GLOBALS["DynPG"]->Write_Article();
		@$GLOBALS["DynPG"]->setupTemplate('default');
	?>

	</body>
</html>